# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rmk-macro"
version = "0.1.3"
authors = ["Haobo Gu <haobogu@outlook.com>"]
description = "Proc-macro crate of RMK"
homepage = "https://github.com/haobogu/rmk"
license = "MIT OR Apache-2.0"
repository = "https://github.com/haobogu/rmk"
resolver = "2"

[lib]
proc-macro = true

[dependencies.cargo_toml]
version = "0.20"

[dependencies.darling]
version = "0.20"

[dependencies.once_cell]
version = "1.19"

[dependencies.prettyplease]
version = "0.2"

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.rmk-config]
version = "0.1.2"
features = ["toml"]

[dependencies.serde]
version = "1.0"

[dependencies.serde_derive]
version = "1.0"

[dependencies.syn]
version = "2.0"
features = [
    "full",
    "extra-traits",
]

[dependencies.toml]
version = "0.8"
